summaryrefslogtreecommitdiffstats
path: root/perl/perl-IO-Socket-SSL
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-IO-Socket-SSL')
-rw-r--r--perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.SlackBuild26
-rw-r--r--perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.info10
-rw-r--r--perl/perl-IO-Socket-SSL/slack-desc18
3 files changed, 22 insertions, 32 deletions
diff --git a/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.SlackBuild b/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.SlackBuild
index af8fc8f46c..30babeed6e 100644
--- a/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.SlackBuild
+++ b/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-IO-Socket-SSL
-# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# Copyright 2009-2012 Marco Bonetti <sid77@slackware.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-IO-Socket-SSL
-VERSION=${VERSION:-1.24}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.54}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -43,7 +43,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -66,20 +66,10 @@ make install DESTDIR=$PKG
# Move man pages
mv $PKG/usr/share/man $PKG/usr/
-# Compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-# Remove perllocal.pod and other special files that don't need to be installed
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -delete
diff --git a/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.info b/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.info
index 5849d85676..4f224953f7 100644
--- a/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.info
+++ b/perl/perl-IO-Socket-SSL/perl-IO-Socket-SSL.info
@@ -1,10 +1,10 @@
PRGNAM="perl-IO-Socket-SSL"
-VERSION="1.24"
-HOMEPAGE="http://search.cpan.org/~sullr/IO-Socket-SSL-1.24/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/SU/SULLR/IO-Socket-SSL-1.24.tar.gz"
-MD5SUM="53a407291bf9b3e09ae0f0cff90799a9"
+VERSION="1.54"
+HOMEPAGE="http://search.cpan.org/~sullr/IO-Socket-SSL-1.54/SSL.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/SU/SULLR/IO-Socket-SSL-1.54.tar.gz"
+MD5SUM="3d091d3de33a8ca2fe5f75172b1a329b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Marco Bonetti"
EMAIL="sid77@slackware.it"
-APPROVED="rworkman"
+APPROVED="Niels Horn"
diff --git a/perl/perl-IO-Socket-SSL/slack-desc b/perl/perl-IO-Socket-SSL/slack-desc
index 8bbdf0270b..3c6e3f6832 100644
--- a/perl/perl-IO-Socket-SSL/slack-desc
+++ b/perl/perl-IO-Socket-SSL/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------------|
-perl-IO-Socket-SSL: perl-IO-Socket-SSL (Transparent SSL encapsulation for IO::Socket::INET)
-perl-IO-Socket-SSL:
-perl-IO-Socket-SSL: This module is a true drop-in replacement for IO::Socket::INET that
-perl-IO-Socket-SSL: uses SSL to encrypt data before it is transferred to a remote server or
-perl-IO-Socket-SSL: client. IO::Socket::SSL supports all the extra features that one needs
-perl-IO-Socket-SSL: to write a full-featured SSL client or server application: multiple SSL
-perl-IO-Socket-SSL: contexts, cipher selection, certificate verification, and SSL version
-perl-IO-Socket-SSL: selection. As an extra bonus, it works perfectly with mod_perl.
+ |-----handy-ruler------------------------------------------------------|
+perl-IO-Socket-SSL: perl-IO-Socket-SSL (SSL encapsulation for IO::Socket::INET)
perl-IO-Socket-SSL:
+perl-IO-Socket-SSL: This module is a true drop-in replacement for IO::Socket::INET that
+perl-IO-Socket-SSL: uses SSL to encrypt data before it is transferred to a remote server
+perl-IO-Socket-SSL: or client. IO::Socket::SSL supports all the extra features that one
+perl-IO-Socket-SSL: needs to write a full-featured SSL client or server application:
+perl-IO-Socket-SSL: multiple SSL contexts, cipher selection, certificate verification, and
+perl-IO-Socket-SSL: SSL version selection. As an extra bonus, it works perfectly with
+perl-IO-Socket-SSL: mod_perl.
perl-IO-Socket-SSL:
perl-IO-Socket-SSL: